<div class="modal-content" ngbAutofocus>
    <div class="modal-header">
        <div class="modal-title h4" id="example-modal-sizes-title-lg">
            <ng-container>

                Add New Country
            </ng-container>
        </div>
    </div>
    <div class="modal-body">

        <ng-container>
            <form action="#" class="form form-label-right" [formGroup]="createCountryFormGroup">
                <!-- begin::Alert error-->
                <!-- <ng-container *ngIf="hasError">
                    <div class="mb-lg-15 alert alert-danger">
                        <div class="alert-text font-weight-bold">
                            {{addCountryService.errorMessageValue$}}
                        </div>
                    </div>
                </ng-container> -->
                <!-- end::Alert error-->


                <ng-container *ngIf="addCountryService.isLoadingValue$">
                    <div class="overlay-layer bg-transparent">
                        <div class="spinner spinner-lg spinner-success"></div>
                    </div>
                </ng-container>

                <div class="form-group">
                    <div class="row skrm-row-margin-bottom-15px">
                        <div class="col-lg-12">
                            <label class="form-label">Enter Country Name</label>
                            <input type="text" class="form-control form-control-lg form-control-solid" name="name"
                                placeholder="Country Name" autocomplete="off"
                                [class.is-invalid]="isControlInvalid('name')" [class.is-valid]="isControlValid('name')"
                                formControlName="name"/>
                            <div class="valid-feedback" *ngIf="isControlValid('name')">
                                Country name was entered correct
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('required', 'name')">
                                Country name is required
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('pattern', 'name')">
                                Country name pattern is invalid
                            </div>

                        </div>
                    </div>

                    <div class="row skrm-row-margin-bottom-15px">
                        <div class="col-lg-12">
                            <label class="form-label">Enter ISO Code</label>
                            <input type="text" class="form-control form-control-lg form-control-solid is-invalid"
                                name="isoCode" placeholder="ISO Code" autocomplete="off"
                                [class.is-invalid]="isControlInvalid('isoCode')"
                                [class.is-valid]="isControlValid('isoCode')"
                                formControlName="isoCode" />
                            <div class="valid-feedback" *ngIf="isControlValid('isoCode')">
                                ISO code was entered correct
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('required', 'isoCode')">
                                ISO code is required
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('pattern', 'isoCode')">
                                ISO code pattern is invalid
                            </div>

                        </div>
                    </div>

                    <div class="row skrm-row-margin-bottom-15px">
                        <div class="col-lg-12">
                            <label class="form-label">Enter ISD Code</label>
                            <input type="text" class="form-control form-control-lg form-control-solid" name="isdCode"
                                placeholder="ISD Code" autocomplete="off"
                                [class.is-invalid]="isControlInvalid('isdCode')"
                                [class.is-valid]="isControlValid('isdCode')" formControlName="isdCode" />
                            <div class="valid-feedback" *ngIf="isControlValid('isdCode')">
                                ISD code was entered correct
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('required', 'isdCode')">
                                ISD code is required
                            </div>
                            <div class="invalid-feedback" *ngIf="controlHasError('pattern', 'isdCode')">
                                ISD code pattern is invalid
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </ng-container>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-light btn-sm btn-elevate mr-2" (click)="modal.dismiss()">
            Cancel
        </button>
        <ng-container>
            <button type="submit" class="btn btn-success btn-sm btn-elevate" (click)="save()"
                [disabled]="createCountryFormGroup.invalid">
                <ng-container *ngIf="!addCountryService.isLoadingValue$">Create</ng-container>
                <ng-container *ngIf="addCountryService.isLoadingValue$">
                    <span clas="indicator-progress" [style.display]="'block'">
                        Please wait...{{ " " }}
                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                    </span>
                </ng-container>
            </button>
        </ng-container>
    </div>
</div>